#include <Arduino.h>
#include <control.h>
#include <display.h>
#include <var.h>
#include <wd.h>
#include <web.h>

float temp;
float temp_set = 28;
String ip;

void setup() {
    Serial.begin(115200);
    web_init();
    wd_init();
    ds_init();
    ct_init();
}

void loop() {
    temp = getTemp();
    web_loop();
    wd_loop();
    ds_loop();
    ct_loop();
    delay(100);
}

float gtemp() {
    return temp;
}

float gtemps() {
    return temp_set;
}

void stemps(float var) {
    temp_set = var;
}

void sip(String s) {
    ip = s;
}

String gip() {
    return ip;
}